Bug 46188 - A11Y: Focus can be moved into TopComponent that is not active
A11Y: Focus can be moved into TopComponent that is not active
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Window System
4.x
PC Windows XP
: P3 (vote)
: 4.x
Assigned To: Milos Kleint
issues@platform
: FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-15 12:49 UTC by Jan Stola
Modified: 2008-12-22 16:08 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Stola 2004-07-15 12:49:18 UTC
Netbeans 040715, JDK 1.4.2_04-b05
---------------------------------

Steps to reproduce:
1. Open some form file.
2. Click into Component Inspector - it has
   focus and is the active TopComponent.
3. Press Ctrl-Tab. The focus is moved into
   Projects window, but Component Inspector
   is still the active TopComponent => selected
   nodes are not updated etc.
Comment 1 Milos Kleint 2004-07-27 08:22:14 UTC
reassigning
Comment 2 Milos Kleint 2004-07-27 14:29:33 UTC
this could be related to #44278, but not a duplicate.
Comment 3 Milos Kleint 2004-08-03 13:04:40 UTC
fixed alnog with #41681 by adding focus traversal policy to the main
window and mode components. Also Dafe replaced Ctrl-Tab behaviour.
Comment 4 Zdenek Konecny 2005-07-15 13:51:49 UTC
Verified in NetBeans 4.2 Build 200507110943


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo